<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: SDDiskCache.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_77ebe3071d97df245b5e45385777f804.html">DKCameraPicker</a></li><li class="navelem"><a class="el" href="dir_43f5ca2fe4733652d7a8272cdd759b0e.html">SDWebImage.framework</a></li><li class="navelem"><a class="el" href="dir_6fcdee285dd3b624c094a59c9350aa1b.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDDiskCache.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * This file is part of the SDWebImage package.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * (c) Olivier Poitrey &lt;rs@dailymotion.com&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * For the full copyright and license information, please view the LICENSE</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * file that was distributed with this source code.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;SDWebImageCompat.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_s_d_image_cache_config.html">SDImageCacheConfig</a>;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// A protocol to allow custom disk cache used in SDImageCache.</span></div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="protocol_s_d_disk_cache-p.html">   13</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="interface_s_d_disk_cache.html">SDDiskCache</a> &lt;NSObject&gt;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// All of these method are called from the same global queue to avoid blocking on main queue and thread-safe problem. But it&#39;s also recommend to ensure thread-safe yourself using lock or other ways.</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">@required</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;- (nullable instancetype)initWithCachePath:(nonnull NSString *)cachePath config:(nonnull <a class="code" href="interface_s_d_image_cache_config.html">SDImageCacheConfig</a> *)config;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;- (BOOL)containsDataForKey:(nonnull NSString *)key;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;- (nullable NSData *)dataForKey:(nonnull NSString *)key;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;- (void)setData:(nullable NSData *)data forKey:(nonnull NSString *)key;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;- (void)removeDataForKey:(nonnull NSString *)key;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;- (void)<a class="code" href="protocol_s_d_disk_cache-p.html#a76f47626cf54b2fe50fea07b45238ad9">removeAllData</a>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;- (void)<a class="code" href="protocol_s_d_disk_cache-p.html#ae37d7a54bfef1cdc0969a984e8017cf4">removeExpiredData</a>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;- (nullable NSString *)cachePathForKey:(nonnull NSString *)key;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;- (NSUInteger)<a class="code" href="protocol_s_d_disk_cache-p.html#ac9ee99942f1e79d9f3766dbe30f49f07">totalCount</a>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;- (NSUInteger)<a class="code" href="protocol_s_d_disk_cache-p.html#a939a3338170a1b6f204ad92872203607">totalSize</a>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160; </div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="comment">// The built-in disk cache</span></div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="interface_s_d_disk_cache.html">  101</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_s_d_disk_cache.html">SDDiskCache</a> : NSObject &lt;<a class="code" href="protocol_s_d_disk_cache-p.html">SDDiskCache</a>&gt;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160; </div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly, nonnull) <a class="code" href="interface_s_d_image_cache_config.html">SDImageCacheConfig</a> *<a class="code" href="structconfig__s.html">config</a>;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;- (nonnull instancetype)init NS_UNAVAILABLE;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160; </div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;- (void)moveCacheDirectoryFromPath:(nonnull NSString *)srcPath toPath:(nonnull NSString *)dstPath;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_s_d_disk_cache_html"><div class="ttname"><a href="interface_s_d_disk_cache.html">SDDiskCache</a></div><div class="ttdef"><b>Definition:</b> SDDiskCache.h:101</div></div>
<div class="ttc" id="aprotocol_s_d_disk_cache-p_html_a939a3338170a1b6f204ad92872203607"><div class="ttname"><a href="protocol_s_d_disk_cache-p.html#a939a3338170a1b6f204ad92872203607">-[SDDiskCache-p totalSize]</a></div><div class="ttdeci">NSUInteger totalSize()</div></div>
<div class="ttc" id="aprotocol_s_d_disk_cache-p_html_ac9ee99942f1e79d9f3766dbe30f49f07"><div class="ttname"><a href="protocol_s_d_disk_cache-p.html#ac9ee99942f1e79d9f3766dbe30f49f07">-[SDDiskCache-p totalCount]</a></div><div class="ttdeci">NSUInteger totalCount()</div></div>
<div class="ttc" id="aprotocol_s_d_disk_cache-p_html_a76f47626cf54b2fe50fea07b45238ad9"><div class="ttname"><a href="protocol_s_d_disk_cache-p.html#a76f47626cf54b2fe50fea07b45238ad9">-[SDDiskCache-p removeAllData]</a></div><div class="ttdeci">void removeAllData()</div></div>
<div class="ttc" id="ainterface_s_d_image_cache_config_html"><div class="ttname"><a href="interface_s_d_image_cache_config.html">SDImageCacheConfig</a></div><div class="ttdef"><b>Definition:</b> SDImageCacheConfig.h:24</div></div>
<div class="ttc" id="aprotocol_s_d_disk_cache-p_html"><div class="ttname"><a href="protocol_s_d_disk_cache-p.html">SDDiskCache-p</a></div><div class="ttdef"><b>Definition:</b> SDDiskCache.h:13</div></div>
<div class="ttc" id="astructconfig__s_html"><div class="ttname"><a href="structconfig__s.html">config_s</a></div><div class="ttdef"><b>Definition:</b> deflate.c:117</div></div>
<div class="ttc" id="aprotocol_s_d_disk_cache-p_html_ae37d7a54bfef1cdc0969a984e8017cf4"><div class="ttname"><a href="protocol_s_d_disk_cache-p.html#ae37d7a54bfef1cdc0969a984e8017cf4">-[SDDiskCache-p removeExpiredData]</a></div><div class="ttdeci">void removeExpiredData()</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
